<?xml version="1.0"?>
<!--
   Licensed to the Apache Software Foundation (ASF) under one
   or more contributor license agreements.  See the NOTICE file
   distributed with this work for additional information
   regarding copyright ownership.  The ASF licenses this file
   to you under the Apache License, Version 2.0 (the
   "License"); you may not use this file except in compliance
   with the License.  You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing,
   software distributed under the License is distributed on an
   "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
   KIND, either express or implied.  See the License for the
   specific language governing permissions and limitations
   under the License.
  -->
<section xmlns="http://docbook.org/ns/docbook"
     xmlns:xl="http://www.w3.org/1999/xlink"
     xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
     xsi:schemaLocation="http://docbook.org/ns/docbook">


  <title>JasperReport Addon</title>
  <para>
    This addon allow developers to use JasperReport in their reporting development
  </para>
  <para> </para>
  <para>It uses the version 3.6 of JasperReport which needs at least iText 2.1.0</para>
  <para>
    It add the library and the modification required to use this reporting software
  </para>

  <section>
    <title>Install process :</title>
    <orderedlist>
      <listitem ><para>install addon</para></listitem>
      <listitem ><para>run ant</para></listitem>
      <listitem ><para>start ofbiz</para></listitem>
    </orderedlist>
  </section>

  <section>
    <title>How-to test :</title>
    <orderedlist>
      <listitem ><para>follow install process</para></listitem>
      <listitem ><para>install the JasperReportTest addon</para></listitem>
      <listitem ><para>run selenium test in the JasperReportTest</para></listitem>
      <listitem ><para>Check that the pdf file is a real pdf file</para></listitem>
    </orderedlist>
  </section>
</section>
